#lua #lua-bindings #bindings #api #rlua #pkg-config #level

deprecated sys rlua-lua51-sys

Bindings to lua's C API

7 releases

new 0.1.7 Jul 20, 2024
0.1.6 Jul 2, 2023
0.1.5 Jun 7, 2023
0.1.3 Jul 24, 2022
0.1.0 Jan 26, 2022

#9 in #rlua

Download history 98/week @ 2024-03-29 44/week @ 2024-04-05 49/week @ 2024-04-12 53/week @ 2024-04-19 53/week @ 2024-04-26 43/week @ 2024-05-03 46/week @ 2024-05-10 48/week @ 2024-05-17 67/week @ 2024-05-24 53/week @ 2024-05-31 27/week @ 2024-06-07 42/week @ 2024-06-14 55/week @ 2024-06-21 27/week @ 2024-06-28 13/week @ 2024-07-05 13/week @ 2024-07-12

114 downloads per month

MIT license

455KB
14K SLoC

C 11K SLoC // 0.1% comments Rust 2.5K SLoC // 0.0% comments Lua 385 SLoC // 0.2% comments Batch 26 SLoC

rlua-lua51-sys -- Low level bindings to Lua 5.1.

This is a bindgen-generated binding to Lua 5.1 used by rlua, though is not specific to rlua.

Cargo features:

  • lua51-pkg-config: Search for Lua 5.1 with pkg-config instead of using the bundled copy.

Dependencies